| FFmpegKit Android API 4.4

Functions
saf_wrapper.c File Reference

Go to the source code of this file.

## Functions
void | closeParcelFileDescriptor (int fd)
static int | fd_read_packet (void *opaque, uint8_t *buf, int buf_size)
static int | fd_write_packet (void *opaque, uint8_t *buf, int buf_size)
static int64_t | fd_seek (void *opaque, int64_t offset, int whence)
static AVIOContext * | create_fd_avio_context (const char *filename, int flags)
static void | close_fd_avio_context (AVIOContext *ctx)
int | android_avformat_open_input (AVFormatContext **ps, const char *filename, ff_const59 AVInputFormat *fmt, AVDictionary **options)
int | android_avio_open2 (AVIOContext **s, const char *filename, int flags, const AVIOInterruptCB *int_cb, AVDictionary **options)
int | android_avio_open (AVIOContext **s, const char *url, int flags)
int | android_avio_closep (AVIOContext **s)
void | android_avformat_close_input (AVFormatContext **ps)

## Function Documentation

## ◆ android_avformat_close_input()

void android_avformat_close_input | ( | AVFormatContext ** | ps | ) |

Definition at line 134 of file saf_wrapper.c.

## ◆ android_avformat_open_input()

int android_avformat_open_input | ( | AVFormatContext ** | ps,
|  | const char * | filename,
|  | ff_const59 AVInputFormat * | fmt,
|  | AVDictionary ** | options
| ) |  |

Definition at line 103 of file saf_wrapper.c.

## ◆ android_avio_closep()

int android_avio_closep | ( | AVIOContext ** | s | ) |

Definition at line 129 of file saf_wrapper.c.

## ◆ android_avio_open()

int android_avio_open | ( | AVIOContext ** | s,
|  | const char * | url,
|  | int | flags
| ) |  |

Definition at line 125 of file saf_wrapper.c.

## ◆ android_avio_open2()

int android_avio_open2 | ( | AVIOContext ** | s,
|  | const char * | filename,
|  | int | flags,
|  | const AVIOInterruptCB * | int_cb,
|  | AVDictionary ** | options
| ) |  |

Definition at line 113 of file saf_wrapper.c.

## ◆ close_fd_avio_context()

static void close_fd_avio_context | ( | AVIOContext * | ctx | ) |
| static

Definition at line 92 of file saf_wrapper.c.

## ◆ closeParcelFileDescriptor()

void closeParcelFileDescriptor | ( | int | fd | ) |

JNI wrapper in ffmpegkit.c

Used by saf_wrapper; is expected to be called from a Java thread, therefore we don't need attach/detach

Definition at line 565 of file ffmpegkit.c.

## ◆ create_fd_avio_context()

static AVIOContext* create_fd_avio_context | ( | const char * | filename,
|  | int | flags
| ) |  |
| static

Definition at line 70 of file saf_wrapper.c.

## ◆ fd_read_packet()

static int fd_read_packet | ( | void * | opaque,
|  | uint8_t * | buf,
|  | int | buf_size
| ) |  |
| static

Definition at line 40 of file saf_wrapper.c.

## ◆ fd_seek()

static int64_t fd_seek | ( | void * | opaque,
|  | int64_t | offset,
|  | int | whence
| ) |  |
| static

Definition at line 48 of file saf_wrapper.c.

## ◆ fd_write_packet()

static int fd_write_packet | ( | void * | opaque,
|  | uint8_t * | buf,
|  | int | buf_size
| ) |  |
| static

Definition at line 44 of file saf_wrapper.c.